﻿''' <summary>
''' Sample program demonstrating the Web Service call of the case get service.
''' </summary>
''' <remarks></remarks>
Public Class CallCaseGet
    'Change these to the account and password provided to you by the MJB Integration Team.   In production these values should be stored in a secure locaiton.
    Const USER As String = "YourUsername"
    Const PW As String = "YourPassword"

    Shared Sub Main()
        MakeCall()

    End Sub

    ''' <summary>
    ''' Call the case get service using Web Services
    ''' </summary>
    ''' <remarks></remarks>
    Shared Sub MakeCall()
        '
        'Create an object reference to the service use the custom binding defined in the app.config file to 
        'make use of Soap12 and WS-Addressing 10.  Change the binding name used to use different protocols.
        '
        'Edit the associated endpoint the app config file to change the address that is used.
        '
        Dim objSVC As New CaseGetService.CaseGetService_3_6Client("CaseGetService_3_6_cu")

        '
        'Setup the security token
        '
        objSVC.ClientCredentials.UserName.UserName = USER
        objSVC.ClientCredentials.UserName.Password = PW

        '
        'Create the submission message
        '
        Dim objRequest As New CaseGetService.CaseGetRequest
        objRequest.schemaVersion = "3:6"
        objRequest.messageProducedDateTime = Now

        'Specify that the request is by court file number
        objRequest.Selection = New CaseGetService.CaseGetRequestSelection
        ReDim objRequest.Selection.Items(0)
        Dim objCourtFileNumber As New CaseGetService.CourtFileNumberType
        objCourtFileNumber.ID = "10-TR-03-3200"
        objRequest.Selection.Items(0) = objCourtFileNumber


        'Specify what data is to be returned
        objRequest.CaseOptions = New CaseGetService.CaseOptionsType
        objRequest.CaseOptions.CourtCaseHeaderGroup = New CaseGetService.CaseOptionsTypeCourtCaseHeaderGroup
        objRequest.CaseOptions.CourtCaseHeaderGroup.SelectedIndicator = True
        objRequest.CaseOptions.HearingTrialSetting = New CaseGetService.CaseOptionsTypeHearingTrialSetting
        objRequest.CaseOptions.HearingTrialSetting.SelectedIndicator = True


   

        '
        'Call the service
        '
        Dim objReply As CaseGetService.CaseGetReply = objSVC.CaseGet(objRequest)

        '
        'Now do something with the reply
        '

    End Sub




End Class
